'use strict';

var uuid = require('node-uuid');

var _require = require('./transform/utils'),
    generateTransformedStylesFile = _require.generateTransformedStylesFile;

/**
 * transform the source into auto-prefixed css and save it to the target
 *
 * @param {string} hash
 * @param {boolean} minify
 * @param {Object} renderOptions
 * @param {string} source
 * @param {string} target
 * @returns {Promise}
 */


var transformStyles = function transformStyles(_ref) {
  var _ref$hash = _ref.hash,
      hash = _ref$hash === undefined ? uuid.v4() : _ref$hash,
      _ref$minify = _ref.minify,
      minify = _ref$minify === undefined ? true : _ref$minify,
      _ref$renderOptions = _ref.renderOptions,
      renderOptions = _ref$renderOptions === undefined ? {} : _ref$renderOptions,
      source = _ref.source,
      target = _ref.target;

  if (!source) {
    throw new Error('source file location was not provided');
  }

  if (!target) {
    throw new Error('target file location was not provided');
  }

  return generateTransformedStylesFile(hash, minify, renderOptions, source, target);
};

module.exports = transformStyles;